#include <iostream>
#include <algorithm>

using namespace std;

int le, ri, to, bo;
void inst() {
	string line;
	int n;
	cin >> line;
	switch(line[0]) {
		case 't':
			cin >> n;
			to -= n;
			break;
		case 'b':
			cin >> n;
			bo -= n;
			break;
		case 'r':
			cin >> n;
			ri -= n;
			break;
		case 'l':
			cin >> n;
			le -= n;
			break;
		default:
			exit(0);
	}
	
	return ;
}

void outs() {
	int* A[4] = { &le, &ri, &to, &bo };
	for(int i = 0; i < 4; ++i) {
		if(*A[i] == 0) continue;
		int mx = 0;
		for(int j = 0; j < 4; ++j) {
			if(i == j) continue;
			mx ^= *A[j];
		}
		
		if(*A[i] > mx) {
			
			switch(i) {
				case 0:
					cout << "left " << *A[i] - mx << endl;
					break;
				case 1:
					cout << "right " << *A[i] - mx << endl;
					break;
				case 2:
					cout << "top " << *A[i] - mx << endl;
					break;
				case 3:
					cout << "bottom " << *A[i] - mx << endl;
					break;
				}
			*A[i] = mx;
			break;
		}
	}
	
	return ;
}

int main() {
	ios::sync_with_stdio(false);
	cin.tie(NULL);
	
	int r, c, k; cin >> r >> c >> k;
	le = c, ri = c, to = r, bo = r;
	int m, n;
	while(k--) {
		cin >> n >> m;
		to = min(to, n - 1);
		bo = min(bo, r - n);
		le = min(le, m - 1);
		ri = min(ri, c - m);
	}
	
	//cout << to << ' ' << ri << ' ' << ' ' << bo << ' ' << le << endl;
	
	int res = to ^ le ^ ri ^ bo;
	string line;
	if(res == 0) {
		cout << "pass" << endl;
		while(1) {
			inst();
			outs();
		}
	} else {
		while(1) {
			outs();
			inst();
		}
	}
	
	return 0;
}
