#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>

typedef long long ll;

using namespace std;

ll f(ll x){
	ll ret = 0;
	ll i = 1;
	while(x / i > 1) {
		ll lo = i;
		ll hi = x;
		while(lo < hi) {
			ll mi = (lo + hi) / 2;
			if(x / mi >= x / i) lo = mi + 1;
			else hi = mi;
		}
		
		ret += (lo - i + 1) * i;
		i = lo;
	}
	
	return ret + x;
}

int main() {
	ll n, m;
	cin >> n >> m;
	cout << f(m) - f(n - 1) << endl;
	return 0;
}
