#include <iostream>
#include <algorithm>
#include <cstring>
#include <vector>

using namespace std;

int A[100000];
int D[100000];
int C[100000];
vector <vector <int> > vex;

void dfs(int i) {
	D[i] = 1;
	for(int r : vex[i])
		if(C[r] && !D[r]) dfs(r);
	return ;
}

int main() {
	ios::sync_with_stdio(false);
	cin.tie(NULL);
	//memset(uf, -1, sizeof uf);
	int n, e, p; cin >> n >> e >> p;
	vex.resize(n);
	int u, v;
	while(e--) {
		cin >> u >> v;
		u -= 1; v -= 1;
		vex[u].push_back(v);
		vex[v].push_back(u);
	}
	
	while(p--) {
		int m; cin >> m;
		int mx = 0;
		for(int i = 0; i < m; ++i) {
			cin >> A[i];
			A[i] -= 1;
			C[A[i]] = 1;
		}
		
		for(int i = 0; i < m; ++i)
			if(!D[A[i]]) ++mx, dfs(A[i]);
		
		cout << mx << '\n';
		for(int i = 0; i < m; ++i) {
			D[A[i]] = 0;
			C[A[i]] = 0;
		}
	}

	return 0;
}
